#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE6,0x5C,0x4B,0x15,0xEF,0x48,0xDE,0xCC,0xD7,0x2E,0x6A,0x2E,
		0x47,0x1A,0xAE,0x17,0xE6,0xDC,0x34,0xCB,0x9E,0x0C,0xE8,0x93,
		0x53,0xC3,0x3B,0xB4,0xC4,0x66,0x59,0x55,0x8E,0x63,0x0A,0x77,
		0xC5,0x35,0xCF,0x42,0xF1,0x74,0x0E,0x9A,0x17,0x4C,0x31,0x74,
		0xD4,0xB2,0x8D,0xF1,0x65,0xA4,0x80,0x5F,0x33,0x21,0xB6,0xBE,
		0x3C,0x6A,0xB3,0x23,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
